﻿@model List<eCommerce.BackOffice.ViewModels.ProductViewModel>

<!-- Panel -->
<div class="panel">
    <div class="panel-body">
        <table class="editable-table table table-striped" id="editableTable" data-plugin="dataTable">
            <thead>
                <tr>
                    <th>Codigo</th>
                    <th>Titulo</th>
                    <th>Categoria</th>
                    <th class="text-right">Precio</th>
                    <th class="text-right">Precio Tachado</th>
                    @*<th class="text-right">Minorista</th>
                    <th class="text-right">Minorista Tachado</th>
                    <th class="text-right">Mayorista</th>
                    <th class="text-right">Mayorista Tachado</th>*@
                    <th class="text-center">Publicado</th>
                    <th class="text-center">On Sale</th>
                </tr>
            </thead>
            <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td id="Code-@item.ProductId">@item.Code</td>
                    <td id="Titulo-@item.ProductId">@item.Title</td>
                    <td id="Categoria-@item.ProductId" ondblclick="OpenModal(@item.ProductId)">@item.CategoryCompleteName</td>
                    <td id="RetailPrice-@item.ProductId" class="text-right">@string.Format("{0:c2}", item.RetailPrice)</td>
                    <td id="OldRetailPrice-@item.ProductId" class="text-right">@string.Format("{0:c2}", item.OldRetailPrice)</td>
                    @*<td id="WholesalePrice-@item.ProductId" class="text-right">@string.Format("{0:c2}", item.WholesalePrice)</td>
                    <td id="OldWholesalePrice-@item.ProductId" class="text-right">@string.Format("{0:c2}", item.OldWholesalePrice)</td>*@
                    <td id="Published-@item.ProductId" class="text-center">
                        @if (item.Published)
                        {
                            <span class="label label-outline label-success"  ondblclick="PublishedStatusUpdate(@item.ProductId)">Si</span>
                        }
                        else
                        {
                            <span class="label label-outline label-danger" ondblclick="PublishedStatusUpdate(@item.ProductId)">No</span>
                        }
                    </td>
                    <td id="OnSale-@item.ProductId" class="text-center">
                        @if (item.IsOnSale)
                        {
                            <span class="label label-outline label-success" ondblclick="OnSaleStatusUpdate(@item.ProductId)">Si</span>
                        }
                        else
                        {
                            <span class="label label-outline label-danger" ondblclick="OnSaleStatusUpdate(@item.ProductId)">No</span>
                        }
                    </td>
                </tr>
            }
            </tbody>
        </table>
    </div>
</div>